Snapvisor Docs

Revoke a contributor's access

Revoke a user's access to a project. Requires administrator access to the project, except when removing yourself — a contributor can always walk away from a project. Use it when someone should lose access to a project, or wants to leave it.

DELETE
/projects/{owner}/{project}/contributors/{userId}

Revoke a user's access to a project. Requires administrator access to the project, except when removing yourself — a contributor can always walk away from a project. Use it when someone should lose access to a project, or wants to leave it.

Authorization

AuthorizationBearer <token>

Authenticate as a user with a personal access token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <personal-access-token>

Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.

In: header

Path Parameters

owner*string
Length1 <= length
project*string
Length1 <= length
userId*string

Identifier of the user — the user.id returned by listAccountMembers or listProjectContributors.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/projects/string/string/contributors/string"
Empty